package org.ow2.easybeans.tests.enhancer;

import java.net.URL;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import org.ow2.util.ee.deploy.api.archive.ArchiveException;
import org.ow2.util.ee.deploy.api.archive.IArchive;

public class ArchiveInMemory implements IArchive {

    private String[] classNames;

    private Map<String, URL> urlMap;

    public ArchiveInMemory(ClassLoader classLoader, List<String> classNames) {
        urlMap = new HashMap<String, URL>();
        for(String className : classNames) {
            urlMap.put(className, classLoader.getResource(className));
        }
    }

    public boolean close() {
        return true;
    }

    public String getName() {
        return "ArchiveInMemory";
    }

    public URL getResource(String clazz) throws ArchiveException {
        return urlMap.get(clazz);
    }

    public Iterator<URL> getResources() throws ArchiveException {
        return urlMap.values().iterator();
    }

    public Iterator<URL> getResources(String clazz) throws ArchiveException {
        LinkedList<URL> linkedList = new LinkedList<URL>();
        linkedList.add(urlMap.get(clazz));
        return linkedList.iterator();
    }

    public URL getURL() throws ArchiveException {
        return null;
    }

}
