package org.ow2.easybeans.deployment.annotations.analyzer.configurator.metadata;

import org.ow2.easybeans.deployment.metadata.CommonClassMetadata;
import org.ow2.easybeans.deployment.metadata.CommonFieldMetadata;
import org.ow2.easybeans.deployment.metadata.CommonMethodMetadata;
import org.ow2.util.deployment.annotations.analyzer.configurator.metadata.MethodMetadataConfigurator;

/**
 * CommonFieldMetadataConfigurator.
 * @author Gael Lalire
 * @param <C> class type
 * @param <M> method type
 * @param <F> field type
 */
public abstract class CommonMethodMetadataConfigurator<
    C extends CommonClassMetadata<C, M, F>,
    M extends CommonMethodMetadata<C, M, F>,
    F extends CommonFieldMetadata<C, M, F>>
        extends MethodMetadataConfigurator<C, M, F> {

    /**
     * Constructor.
     * @param methodMetadata methodMetadata
     */
    public CommonMethodMetadataConfigurator(final M methodMetadata) {
        super(methodMetadata);
    }

    /**
     * register annotation visitor.
     */
    protected void registerAnnotationVisitor() {

        M methodMetadata = getMethodMetadata();

        // add visitor shared with class and field and method
        CommonMetadataConfigurator.initVisitor(getAnnotationVisitors(), methodMetadata);

    }


}
