/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AbsBean.java 2059 2007-11-22 17:22:33Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.xml.struct;

import org.ow2.easybeans.deployment.xml.struct.common.AbsEnvironment;

/**
 * Defines common rules used by Bean (Session, MDB).
 * @author Florent Benoit
 *
 */
public class AbsBean extends AbsEnvironment {

    /**
     * ejb-name.
     */
    private String ejbName = null;

    /**
     * ejb-class.
     */
    private String ejbClass = null;

    /**
     * Run-As Role.
     */
    private String runAsRole = null;

    /**
     * Mapped name.
     */
    private String mappedName = null;

    /**
     * Type of transaction.
     */
    private String transactionType = null;

    /**
     * Constructor.
     */
    public AbsBean() {
        super();
    }

    /**
     * Gets the ejb-name.
     * @return the ejb-name
     */
    public String getEjbName() {
        return ejbName;
    }

    /**
     * Set the ejb-name.
     * @param ejbName ejbName
     */
    public void setEjbName(final String ejbName) {
        this.ejbName = ejbName;
    }

    /**
     * Gets the ejb-class.
     * @return the ejb-class
     */
    public String getEjbClass() {
        return ejbClass;
    }

    /**
     * Set the ejb-class.
     * @param ejbClass ejb-class
     */
    public void setEjbClass(final String ejbClass) {
        this.ejbClass = ejbClass;
    }

    /**
     * Gets the run-as role.
     * @return the run-as role
     */
    public String getRunAsRole() {
        return runAsRole;
    }

    /**
     * Set the run-as role.
     * @param runAsRole the run-as role
     */
    public void setRunAsRole(final String runAsRole) {
        this.runAsRole = runAsRole;
    }

    /**
     * Gets the mapped name.
     * @return the mapped name
     */
    public String getMappedName() {
        return mappedName;
    }

    /**
     * Set the mapped name.
     * @param mappedName the given mapped name.
     */
    public void setMappedName(final String mappedName) {
        this.mappedName = mappedName;
    }

    /**
     * Gets the transaction-type.
     * @return the transaction-type
     */
    public String getTransactionType() {
        return transactionType;
    }

    /**
     * Set the transaction-type.
     * @param transactionType transaction-type.
     */
    public void setTransactionType(final String transactionType) {
        this.transactionType = transactionType;
    }
}
