/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AroundInvoke.java 1970 2007-10-16 11:49:25Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.xml.struct.common;



/**
 * This class defines the implementation of the element &lt;around-invoke&gt;.
 * @author Florent Benoit
 */
public class AroundInvoke {

    /**
     * Name of this element.
     */
    public static final String NAME = "around-invoke";

    /**
     * Element &lt;class&gt;.
     */
    private String className = null;


    /**
     * Element &lt;method-name&gt;.
     */
    private String methodName = null;

   /**
     * Constructor.
     */
    public AroundInvoke() {

    }

    /**
     * Sets the name of the class.
     * @param className the name of the class
     */
    public void setClassName(final String className) {
        this.className = className;
    }

    /**
     * @return the class value.
     */
    public String getClassName() {
        return className;
    }

    /**
     * Sets the name of the method.
     * @param methodName the name of the method
     */
    public void setMethodName(final String methodName) {
        this.methodName = methodName;
    }

    /**
     * @return the method name.
     */
    public String getMethodName() {
        return methodName;
    }

}
