/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ResourceRef.java 1970 2007-10-16 11:49:25Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.xml.struct.common;

/**
 * Class representing resource-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class ResourceRef extends AbsResourceGroup {

    /**
     * Name of this element.
     */
    public static final String NAME = "resource-ref";

    /**
     * Name of this resource-ref.
     */
    private String resRefName = null;

    /**
     * Type of this resource-ref.
     */
    private String resRefType = null;

    /**
     * Default constructor.
     */
    public ResourceRef() {
        super();
    }

    /**
     * @return name of this resource-ref.
     */
    public String getResRefName() {
        return resRefName;
    }

    /**
     * Sets the name of resource-ref.
     * @param resRefName name of this reference
     */
    public void setResRefName(final String resRefName) {
        this.resRefName = resRefName;
    }

    /**
     * @return the type of this resource-ref.
     */
    public String getResRefType() {
        return resRefType;
    }

    /**
     * Sets the type of this reference.
     * @param resRefType type of reference
     */
    public void setResRefType(final String resRefType) {
        this.resRefType = resRefType;
    }

}
