/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ItfSimpleBean.java 1970 2007-10-16 11:49:25Z benoitf $
 * --------------------------------------------------------------------------
 */
package org.ow2.easybeans.tests.common.ejbs.base;

import java.util.List;


/**
 * Is used to test methods with interceptors declarations inside the bean class.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 * @param <T> list type
 */
public interface ItfSimpleBean<T>{

    /**
     * The number that each method will add in the array.
     */
    Integer ORDER = new Integer(0);

    /**
     * The number that each method will add in the array.
     */
    Integer EMBEDDED_INTERCEPTOR = new Integer(-1);

    /**
     * Appends an element in the par.
     * @param par list used to append the value.
     * @return list updated
     */
    List<T> withInterceptors(List<T> par);

    /**
     * Appends an element in the par.
     * @param par list used to append the value.
     * @return list updated
     */
    List<T> withInterceptorsInheritance(List<T> par);
}
